<div class="container">
  <div class="row">
    <div class="col-xs-12">
      <button
        class="btn btn-primary"
        (click)="onlyOdd = !onlyOdd">Only show odd numbers</button>
      <br><br>
      <ul class="list-group">
        <div *ngIf="onlyOdd">
          <li
            class="list-group-item" [ngClass]="{oddNum: odd%2 !==0}"
            [ngStyle]="{backgroundColor: odd %2 !==0 ? 'grey':'transparent'}"
            *ngFor="let odd of oddNumbers">
            {{ odd }}
          </li>
        </div>
        <!-- <div *ngIf="!onlyOdd">
            <li
              class="list-group-item" [ngClass]="{oddNum: even%2 !==0}"
              [ngStyle]="{backgroundColor: even %2 !==0 ? 'grey':'transparent'}"
               *ngFor="let even of evenNumbers">
              {{ even }}
            </li>
          </div> -->
          <div *appUnless="onlyOdd">
            <li
              class="list-group-item" [ngClass]="{oddNum: even%2 !==0}"
              [ngStyle]="{backgroundColor: even %2 !==0 ? 'grey':'transparent'}"
               *ngFor="let even of evenNumbers">
              {{ even }}
            </li>
          </div>
      </ul>
      <p appBasicHighlight>Basic Directive</p>
      <p appBetterHighlight>Better Directive</p>
      <div [ngSwitch]="value">
        <p *ngSwitchCase="5">value is 5</p>
        <p *ngSwitchCase="10">value is 10</p>
        <p *ngSwitchDefault>value is Default</p>
      </div>
    </div>
  </div>
</div>
